@startuml MLConnect

interface MLConnect {
    +{static} dependencies(): array
    +{static} weBeanUnitPaths(): array
    +{static} overwriteServerDescriptor(): boolean
    +{static} eamLayer(): number
}

class DefaultMLConnect {
    -chatHistory: array
    -fullHistory: array
    -genAI: GoogleGenerativeAI
    -model: GenerativeModel
    -chat: ChatSession
    +name: string
    +description: string
    +badge: string
    +apiKey: string
    +generation_config: object
    +response: string
    +prompt: string
    +autoUpdate: boolean
    +{static} implements(): [MLConnect]
    +{static} overwriteServerDescriptor(): boolean
    +{static} dependencies(): array
    +{static} weBeanUnitPaths(): array
    +{static} start(): void
    +constructor()
    +init(): DefaultMLConnect
    +formatChatHistoryToHTML(): string
    +callGemini(text: string): Promise<void>
    +createDefaultView(): MLConnectDefaultView
}

class MLConnectDefaultView {
    +constructor()
    +init(ucpComponent: UcpComponent): MLConnectDefaultView
    +onDomReady(view: View): void
    +onPromptSubmit(): void
}

' Inheritance relationships
MLConnectDefaultView -up-|> DefaultView
DefaultMLConnect -up-|> UcpComponent
MLConnect -up-|> Interface

' Implementation relationships
DefaultMLConnect .up.|> MLConnect

@enduml
